//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------


#include "bodydynamics/feature/feature_inertial_kinematics.h"
#include "Eigen/Dense"
#include "core/math/rotations.h"

namespace wolf {

WOLF_PTR_TYPEDEFS(FeatureInertialKinematics);

FeatureInertialKinematics::FeatureInertialKinematics(
    const Eigen::Vector9d & _meas_pbc_vbc_w,
    const Eigen::Matrix9d & _Qerr,
    const Eigen::Matrix3d & _BIq, 
    const Eigen::Vector3d & _BLcm,
    UncertaintyType _uncertainty_type) :
    FeatureBase("InertialKinematics", _meas_pbc_vbc_w, _Qerr, _uncertainty_type),
    BIq_(_BIq),
    BLcm_(_BLcm)
{}

} // namespace wolf
