//--------LICENSE_START--------
//
// Copyright (C) 2020,2021,2022 Institut de Robòtica i Informàtica Industrial, CSIC-UPC.
// Authors: Joan Solà Ortega (jsola@iri.upc.edu)
// All rights reserved.
//
// This file is part of WOLF
// WOLF is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//--------LICENSE_END--------
/**
 * \file gtest_sensor_inertial_kinematics.cpp
 *
 *  Created on: Feb 28, 2020
 *      \author: jsola
 */


#include "bodydynamics/sensor/sensor_inertial_kinematics.h"

#include <core/utils/utils_gtest.h>
#include <core/utils/logging.h>

#include <Eigen/Dense>

using namespace wolf;
using namespace Eigen;

TEST(SensorInertialKinematics, constructor_and_getters)
{
    ParamsSensorInertialKinematicsPtr intr = std::make_shared<ParamsSensorInertialKinematics>();
    intr->std_pbc = 1;
    intr->std_vbc = 2;
    VectorXd extr(0);
    SensorInertialKinematics S(extr, intr);

    ASSERT_EQ(S.getPbcNoiseStd(), 1);
    ASSERT_EQ(S.getVbcNoiseStd(), 2);
}

int main(int argc, char **argv)
{
  testing::InitGoogleTest(&argc, argv);
  return RUN_ALL_TESTS();
}

